# Warning: gitlab.Badges-Offerings
#
# Tests the offering information in the tier badges that appear below topic titles.
#
# For a list of all options, see https://docs.gitlab.com/ee/development/documentation/styleguide/#available-product-tier-badges
extends: existence
message: "Offerings should be comma-separated, without `and`, and the first entry must be capitalized. Example: `SaaS, self-managed`."
link: https://docs.gitlab.com/ee/development/documentation/styleguide/#available-product-tier-badges
level: error
scope: raw
raw:
- (?<=\n\*\*Offering:\*\* )(self-managed|[^\n]*(and|Self-Managed|, SaaS|, Self-managed))
